KIconTheme class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIconTheme Class Reference

Class to use/access icon themes in KDE. More...

`#include <kicontheme.h>`

Collaboration diagram for KIconTheme:

[legend]
List of all members.

## Public Member Functions
| KIconTheme (const QString &name, const QString &appName=QString::null)
| Load an icon theme by name.
QString | name () const
| The stylized name of the icon theme.
QString | description () const
| A description for the icon theme.
QString | example () const
| Return the name of the "example" icon.
QString | screenshot () const
| Return the name of the screenshot.
QString | linkOverlay () const
| Returns the name of this theme's link overlay.
QString | zipOverlay () const
| Returns the name of this theme's zip overlay.
QString | lockOverlay () const
| Returns the name of this theme's lock overlay.
QString | shareOverlay () const
| Returns the name of this theme's share overlay.
QString | dir () const
| Returns the toplevel theme directory.
QStringList | inherits () const
| The themes this icon theme falls back on.
bool | isValid () const
| The icon theme exists?
bool | isHidden () const
| The icon theme should be hidden to the user?
int | depth () const
| The minimum display depth required for this theme.
int | defaultSize (KIcon::Group group) const
| The default size of this theme for a certain icon group.
QValueList< int > | querySizes (KIcon::Group group) const
| Query available sizes for a group.
QStringList | queryIcons (int size, KIcon::Context context=KIcon::Any) const
| Query available icons for a size and context.
QStringList | queryIconsByContext (int size, KIcon::Context context=KIcon::Any) const
| Query available icons for a context and preferred size.
KIcon | iconPath (const QString &name, int size, KIcon::MatchType match) const
| Lookup an icon in the theme.
## Static Public Member Functions
QStringList | list ()
| List all icon themes installed on the system, global and local.
QString | current ()
| Returns the current icon theme.
void | reconfigure ()
| Reconfigure the theme.
QString | defaultThemeName ()
| Returns the default icon theme.

## Detailed Description

Class to use/access icon themes in KDE.

This class is used by the iconloader but can be used by others too.

See also:
  KIconLoader

Definition at line 155 of file kicontheme.h.

## Constructor & Destructor Documentation

KIconTheme::KIconTheme | ( | const QString & | name,
|  | const QString & | appName = QString::null
| ) |

  | Load an icon theme by name. Parameters:
  name | the name of the theme (e.g. "hicolor" or "keramik")
  appName | the name of the application. Can be null. This argument allows applications to have themed application icons.
Definition at line 81 of file kicontheme.cpp. References QPtrList< KIconThemeDir >::append(), QValueList::begin(), QMap::contains(), dir(), KGlobal::dirs(), QValueList::end(), KStandardDirs::exists(), QFile::exists(), QPtrList< KIconThemeDir >::first(), QString::isEmpty(), KStdAction::name(), QPtrList< KIconThemeDir >::next(), KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readIntListEntry(), KConfigBase::readListEntry(), KConfigBase::readNumEntry(), KConfigBase::readPathEntry(), KConfigBase::readPathListEntry(), KStandardDirs::resourceDirs(), KIcon::Scalable, QPtrList< KIconThemeDir >::setAutoDelete(), and KConfigBase::setGroup().

## Member Function Documentation

QString KIconTheme::name | ( |  | ) | const`[inline]`

| The stylized name of the icon theme. Returns: the (human-readable) name of the theme Definition at line 171 of file kicontheme.h.

QString KIconTheme::description | ( |  | ) | const`[inline]`

| A description for the icon theme. Returns: a human-readable description of the theme, QString::null if there is none Definition at line 178 of file kicontheme.h.

QString KIconTheme::example | ( |  | ) | const

| Return the name of the "example" icon. This can be used to present the theme to the user. Returns: the name of the example icon, QString::null if there is none Definition at line 224 of file kicontheme.cpp.

QString KIconTheme::screenshot | ( |  | ) | const

| Return the name of the screenshot. Returns: the name of the screenshot, QString::null if there is none Definition at line 225 of file kicontheme.cpp.

QString KIconTheme::linkOverlay | ( |  | ) | const

| Returns the name of this theme's link overlay. Returns: the name of the link overlay Definition at line 226 of file kicontheme.cpp. Referenced by KIconLoader::loadIcon().

QString KIconTheme::zipOverlay | ( |  | ) | const

| Returns the name of this theme's zip overlay. Returns: the name of the zip overlay Definition at line 228 of file kicontheme.cpp. Referenced by KIconLoader::loadIcon().

QString KIconTheme::lockOverlay | ( |  | ) | const

| Returns the name of this theme's lock overlay. Returns: the name of the lock overlay Definition at line 227 of file kicontheme.cpp. Referenced by KIconLoader::loadIcon().

QString KIconTheme::shareOverlay | ( |  | ) | const

| Returns the name of this theme's share overlay. Returns: the name of the share overlay Since: 3.1 Definition at line 229 of file kicontheme.cpp. Referenced by KIconLoader::loadIcon().

QString KIconTheme::dir | ( |  | ) | const`[inline]`

| Returns the toplevel theme directory. Returns: the directory of the theme Definition at line 222 of file kicontheme.h. Referenced by iconPath(), KIconTheme(), list(), queryIcons(), and queryIconsByContext().

QStringList KIconTheme::inherits | ( |  | ) | const`[inline]`

| The themes this icon theme falls back on. Returns: a list of icon themes that are used as fall-backs Definition at line 228 of file kicontheme.h.

bool KIconTheme::isValid | ( |  | ) | const

| The icon theme exists? Returns: true if the icon theme is valid Definition at line 214 of file kicontheme.cpp. References QPtrList< KIconThemeDir >::isEmpty().

bool KIconTheme::isHidden | ( |  | ) | const

| The icon theme should be hidden to the user? Returns: true if the icon theme is hidden Since: 3.1 Definition at line 219 of file kicontheme.cpp.

int KIconTheme::depth | ( |  | ) | const`[inline]`

| The minimum display depth required for this theme. This can either be 8 or 32. Returns: the minimum bpp (8 or 32) Definition at line 248 of file kicontheme.h.

int KIconTheme::defaultSize | ( | KIcon::Group | group | ) | const

  | The default size of this theme for a certain icon group. Parameters:
  group | The icon group. See KIcon::Group.
Returns: The default size in pixels for the given icon group. Definition at line 231 of file kicontheme.cpp.

QValueList< int > KIconTheme::querySizes | ( | KIcon::Group | group | ) | const

  | Query available sizes for a group. Parameters:
  group | The icon group. See KIcon::Group.
Returns: a list of available sized for the given group Definition at line 241 of file kicontheme.cpp.

QStringList KIconTheme::queryIcons | ( | int | size,
|  | KIcon::Context | context = KIcon::Any
| ) | const

  | Query available icons for a size and context. Parameters:
  size | the size of the icons
  context | the context of the icons
Returns: the list of icon names Definition at line 252 of file kicontheme.cpp. References KIcon::Any, QPtrListIterator::current(), dir(), KIcon::Fixed, KIcon::Scalable, KIcon::Threshold, and QPtrListIterator::toFirst().

QStringList KIconTheme::queryIconsByContext | ( | int | size,
|  | KIcon::Context | context = KIcon::Any
| ) | const

  | Query available icons for a context and preferred size. Parameters:
  size | the size of the icons
  context | the context of the icons
Returns: the list of icon names Definition at line 305 of file kicontheme.cpp. References KIcon::Any, QPtrListIterator::current(), and dir().

KIcon KIconTheme::iconPath | ( | const QString & | name,
|  | int | size,
|  | KIcon::MatchType | match
| ) | const

  | Lookup an icon in the theme. Parameters:
  name | The name of the icon, without extension.
  size | The desired size of the icon.
  match | The matching mode. KIcon::MatchExact returns an icon only if matches exactly. KIcon::MatchBest returns the best matching icon.
Returns: A KIcon class that describes the icon. If an icon is found, See also: KIcon::isValid will return true, and false otherwise. Definition at line 333 of file kicontheme.cpp. References KIcon::context, QPtrListIterator::current(), dir(), KIcon::Fixed, QString::isEmpty(), KIcon::MatchExact, KStdAction::name(), KIcon::path, KIcon::Scalable, KIcon::size, KIcon::threshold, KIcon::Threshold, and KIcon::type.

QStringList KIconTheme::list | ( |  | ) | `[static]`

| List all icon themes installed on the system, global and local. Returns: the list of all icon themes Definition at line 414 of file kicontheme.cpp. References dir(), KGlobal::dirs(), QDir::entryList(), KStandardDirs::exists(), QDir::exists(), and KStandardDirs::resourceDirs().

QString KIconTheme::current | ( |  | ) | `[static]`

| Returns the current icon theme. Returns: the name of the current theme Definition at line 392 of file kicontheme.cpp. References KGlobal::config(), defaultThemeName(), QString::fromLatin1(), and KConfigBase::readEntry().

void KIconTheme::reconfigure | ( |  | ) | `[static]`

| Reconfigure the theme. Definition at line 444 of file kicontheme.cpp. Referenced by KInstance::newIconLoader().

QString KIconTheme::defaultThemeName | ( |  | ) | `[static]`

| Returns the default icon theme. Returns: the name of the default theme name Since: 3.1 Definition at line 453 of file kicontheme.cpp. References QString::fromLatin1(). Referenced by current().

The documentation for this class was generated from the following files:

- kicontheme.h
- kicontheme.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:49:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001